/*
 * @Author: zc
 * @description 业务管理-重复性事件管理
 */
import request from '@/utils/request';
/**
 * @description 工单受理根据热点和地区获取重复性事件
 * @param {object} data
 */
export const orderRepeatEvent = (data: object) => {
    return request({
        url: `/api/v1/Order/order_repeatable_event`,
        method: 'post',
        data
    });
};
/**
 * @description 重复性事件列表
 * @param {object} params
 */
export const repeatEventList = (params?: object) => {
    return request({
        url: `/api/v1/Order/repeatable_event/list`,
        method: 'get',
        params
    });
};
/**
 * @description 重复性事件新增
 * @param {object} data
 */
export const repeatEventAdd = (data: object) => {
    return request({
        url: `/api/v1/Order/repeatable_event`,
        method: 'post',
        data
    });
};
/**
 * @description 重复性事件更新
 * @param {object} data
 */
export const repeatEventUpdate = (data: object) => {
    return request({
        url: `/api/v1/Order/repeatable_event`,
        method: 'put',
        data
    });
};
/**
 * @description 重复性事件删除
 * @param {object} data
 */
export const repeatEventDelete = (data: object) => {
    return request({
        url: `/api/v1/Order/repeatable_event`,
        method: 'delete',
    });
};
/**
 * @description 重复性事件详情
 * @param {object} params
 */
export const repeatEventDetail = (params: object) => {
    return request({
        url: `/api/v1/Order/repeatable_event`,
        method: 'get',
        params
    });
};