/*
 * @Author: zc
 * @description 数据统计-部门数据统计
 */
import request from '@/utils/request';
/**
 * @description 中心统计列表查询
 * @param {object} params
 */
export const centerList = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/centre_data_list`,
		method: 'get',
		params,
	});
};
/**
 * @description 部门不满意统计
 * @param {object} params
 */
export const departmentUnsatisfied = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/visit-nosatisfied`,
		method: 'get',
		params,
	});
};
/**
 * @description 部门不满意统计明细
 * @param {object} params
 */
export const departmentUnsatisfiedDetail = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/visit-nosatisfied-detail`,
		method: 'get',
		params,
	});
};
/**
 * @description 特提统计
 * @param {object} params
 */
export const departmentSpecial = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/special_data_list`,
		method: 'get',
		params,
	});
};
/**
 * @description 特提统计明细
 * @param {object} params
 */
export const departmentSpecialDetail = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/special_data_list/list`,
		method: 'get',
		params,
	});
};
/**
 * @description 热点类型统计
 * @param {object} params
 */
export const departmentHot = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/hotspot_data_list`,
		method: 'get',
		params,
	});
};
/**
 * @description 部门热点类型统计
 * @param {object} params
 */
export const departmentHotDetail = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/hotport-org-statistics`,
		method: 'get',
		params,
	});
};
/**
 * @description 受理量前十
 * @param {object} params
 */
export const departmentTopTen = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/accept_type_top10_list`,
		method: 'get',
		params,
	});
};
/**
 * @description 回访量统计
 * @param {object} params
 */
export const departmentVisit = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/visit-measure-statistics`,
		method: 'get',
		params,
	});
};
/**
 * @description 热点类型小类统计
 * @param {object} params
 */
export const departmentHotSmall = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/hotspot-statistics`,
		method: 'get',
		params,
	});
};
/**
 * @description 部门受理类型统计周期
 * @param {object} params
 */
export const departmentAcceptType = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/department_acceptance_type_statistics`,
		method: 'get',
		params,
	});
};
/**
 * @description 部门受理类型统计周期导出
 * @param {object} data
 */
export const departmentAcceptTypeExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/department_acceptance_type_statistics_export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 部门受理类型统计周期明细
 * @param {object} params
 */
export const departmentAcceptTypeDetail = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/department_acceptance_type_order_list`,
		method: 'get',
		params,
	});
};
/**
 * @description 部门受理类型统计周期明细导出
 * @param {object} data
 */
export const departmentAcceptTypeDetailExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/department_acceptance_type_order_list_export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 派单量统计
 * @param {object} params
 */
export const departmentDispatch = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/send_order_report`,
		method: 'get',
		params,
	});
};
/**
 * @description 派单量统计明细
 * @param {object} params
 */
export const departmentDispatchDetail = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/send_order_detail_report`,
		method: 'get',
		params,
	});
};
/**
 * @description 信件来源统计
 * @param {object} params
 */
export const orderSource = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/order_source_report`,
		method: 'get',
		params,
	});
};
/**
 * @description 信件来源统计导出
 * @param {object} data
 */
export const orderSourceExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/order_source/_export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 信件来源统计列表
 * @param {object} params
 */
export const orderSourceList = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/order_source_report_list`,
		method: 'get',
		params,
	});
};
/**
 * @description 信件来源统计列表导出
 * @param {object} data
 */
export const orderSourceListExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/order_source_list/_export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 信件来源统计列表明细
 * @param {object} params
 */
export const orderSourceListDetail = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/order_source_detail_report`,
		method: 'get',
		params,
	});
};
/**
 * @description 信件来源统计列表明细导出
 * @param {object} data
 */
export const orderSourceListDetailExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/order_source_detail/_export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 信件来源分时统计
 * @param {object} params
 */
export const orderSourceTime = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/order_source_time`,
		method: 'get',
		params,
	});
};
/**
 * @description 信件来源分时统计导出
 * @param {object} data
 */
export const orderSourceTimeExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/order_source_time_export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 受理类型分时统计
 * @param {object} params
 */
export const orderAcceptTime = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/order_acceptance_time`,
		method: 'get',
		params,
	});
};
/**
 * @description 受理类型分时统计导出
 * @param {object} data
 */
export const orderAcceptTimeExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/order_acceptance_time_export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 区域分时统计
 * @param {object} params
 */
export const orderAreaTime = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/order_area_time`,
		method: 'get',
		params,
	});
};
/**
 * @description 区域分时统计导出
 * @param {object} data
 */
export const orderAreaTimeExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/order_area_time_export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 热点分类分时统计
 * @param {object} params
 */
export const orderHotTime = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/order_hotspot_time`,
		method: 'get',
		params,
	});
};
/**
 * @description 热点分类分时统计导出
 * @param {object} data
 */
export const orderHotTimeExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/order_hotspot_time_export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 受理类型统计
 * @param {object} params
 */
export const statisticsOrderAccept = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/accepttype-statistics`,
		method: 'get',
		params,
	});
};
/**
 * @description 受理类型统计导出
 * @param {object} data
 */
export const statisticsOrderAcceptExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/accepttype-statistics-export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 受理类型统计列表
 * @param {object} params
 */
export const statisticsOrderAcceptList = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/accepttype-statistics-bydate`,
		method: 'get',
		params,
	});
};
/**
 * @description 受理类型统计列表导出
 * @param {object} data
 */
export const statisticsOrderAcceptListExport = (data: object) => {
	return request(
		{
			url: `/api/v1/biorder/accepttype-statistics-bydate-export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
}
/**
 * @description 受理类型统计列表明细
 * @param {object} params
 */
export const statisticsOrderAcceptListDetail = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/accepttype-statistics-bydate-detail`,
		method: 'get',
		params,
	});
};
/**
 * @description 受理类型统计列表明细导出
 * @param {object} data
 */
export const statisticsOrderAcceptListDetailExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/accepttype-statistics-bydate-detail-export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 下级区域统计
 * @param {object} params
 */
export const statisticsOrderArea = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/area_subordinate`,
		method: 'get',
		params,
	});
};
/**
 * @description 热点区域统计
 * @param {object} params
 */
export const statisticsOrderHot = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/hotspot-area-statistics`,
		method: 'get',
		params,
	});
};
/**
 * @description 热点区域统计导出
 * @param {object} data
 */
export const statisticsOrderHotExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/hotspot-area-statistics-export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 热点区域统计明细
 * @param {object} params
 */
export const statisticsOrderHotDetail = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/hotspot-area-statistics-detail`,
		method: 'get',
		params,
	});
};
/**
 * @description 热点区域统计明细导出
 * @param {object} data
 */
export const statisticsOrderHotDetailExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/hotspot-area-statistics-detail-export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 热点满意度统计
 * @param {object} params
 */
export const statisticsOrderHotSatisfy = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/visit-hotspot-satisfaction-statistics`,
		method: 'get',
		params,
	});
};
/**
 * @description 热点满意度统计导出
 * @param {object} data
 */
export const statisticsOrderHotSatisfyExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/visit-hotspot-satisfaction-statistics/_export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 热点满意度统计明细
 * @param {object} params
 */
export const statisticsOrderHotSatisfyDetail = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/visit-hotspot-satisfaction-detail`,
		method: 'get',
		params,
	});
};
/**
 * @description 热点满意度统计明细导出
 * @param {object} data
 */
export const statisticsOrderHotSatisfyDetailExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/visit-hotspot-satisfaction-detail/_export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};